Subject: 25.0.50; grep/compilation output sometimes has text prop `compilation-message' on final line

From: Drew Adams <[email-masked]>
Date: Thu, 4 Jun 2015 23:43:28 -0700 (PDT)

I seem not to see the problem if there are not a lot of lines output by
`grep', but if there are a lot then I see the problem (don't ask me how
much is a lot - I certainly see it if there are, say, 6000 lines).

If I test `M-: (get-text-property (point) 'compilation-message)' with
point at bol of the last line of the buffer, which is for example, this:

Grep finished (matches found) at Thu Jun  4 23:26:06

Then I get this, for example:

[cl-struct-compilation--message
 (nil 26
      (("Grep finished (matches found) at Thu Jun  4 23" nil)
       nil
       (26 #1))
      nil nil)
 2 nil]

IIUC, there should be no such text property on this line, as it is not
an "error" message line.

Here is what `C-u C-x =' shows wrt text properties at that position:

There are text properties here:
  compilation-handle-exit t
  compilation-message  [Show]
  face                 nil
  font-lock-face       (compilation-info)
  fontified            t
  help-echo            "mouse-2: visit this file and line"
  keymap               compilation-button-map
  mouse-face           compilation-mouseover

And clicking [Show] shows the vector value I wrote above.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'